Bug 820461 - numad support is lost in the 6.3 build.
numad support is lost in the 6.3 build.
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: libvirt (Show other bugs)
6.3
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Osier Yang
Virtualization Bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-09 23:43 EDT by Osier Yang
Modified: 2014-03-26 21:03 EDT (History)
10 users (show)

See Also:
Fixed In Version: libvirt-0.9.10-19.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-20 02:58:15 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Osier Yang 2012-05-09 23:43:25 EDT
Description of problem:
There was a typo in configure.ac, strange thing is there is no problem
when building on Fedora, "$with_numad" willbe "yes" even with the typo. But on
RHEL, things are different. and it will cause numad support to be lost while
building. 

Patch posted internally. 

http://post-office.corp.redhat.com/archives/rhvirt-patches/2012-May/msg00243.html

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 6 Wayne Sun 2012-05-16 02:43:06 EDT
pkgs:
libvirt-0.9.10-20.el6.x86_64
qemu-kvm-rhev-0.12.1.2-2.292.el6.x86_64
numad-0.5-3.20120316git.el6.x86_64
kernel-2.6.32-270.el6.x86_64

steps:
1. start numad service
# service numad start

# numactl --hardware
available: 1 nodes (0)
node 0 cpus: 0 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15
node 0 size: 12278 MB
node 0 free: 8243 MB
node distances:
node   0 
  0:  10 

2. prepare a domain
# virsh list --all
 Id    Name                           State
----------------------------------------------------
 1     rhel6u2                        running

# virsh dumpxml rhel6u2
...
  <vcpu placement='static'>1</vcpu>
...

3. destroy domain and edit domain xml as:
# virsh destroy rhel6u2

# virsh edit rhel6u2
...
  <vcpu placement='auto'>8</vcpu>
  <numatune>
    <memory mode='interleave'/>
  </numatune>
...

4. start domain and check xml
# virsh start rhel6u2
Domain rhel6u2 started

# virsh dumpxml rhel6u2
...
  <vcpu placement='auto'>8</vcpu>
  <numatune>
    <memory mode='interleave' placement='auto'/>
  </numatune>
...

5. check log
# cat /tmp/libvirtd.log | grep Nodeset 
2012-05-16 06:26:09.423+0000: 31593: debug : qemuProcessStart:3356 : Nodeset returned from numad: 0

5. check domain proc
# cat /proc/31707/status
...
Cpus_allowed:	0000ffff
Cpus_allowed_list:	0-15
Mems_allowed:	00000000,00000000,00000000,00000000,00000000,00000000,00000000,00000000,00000000,00000000,00000000,00000000,00000000,00000000,00000000,00000001
Mems_allowed_list:	0
...

libvirt with numad is working now.
So, this is fixed.
Comment 8 errata-xmlrpc 2012-06-20 02:58:15 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2012-0748.html

Note You need to log in before you can comment on or make changes to this bug.